Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4670)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4671)
@@ -2072,12 +2040,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%nrsws, surf_def_h(1)%nrsws,        &
-                                                  surf_lsm_h%nrsws, surf_usm_h%nrsws,              &
-                                                  surf_def_v(0)%nrsws, surf_lsm_v(0)%nrsws,        &
-                                                  surf_usm_v(0)%nrsws, surf_def_v(1)%nrsws,        &
-                                                  surf_lsm_v(1)%nrsws, surf_usm_v(1)%nrsws,        &
-                                                  surf_def_v(2)%nrsws, surf_lsm_v(2)%nrsws,        &
-                                                  surf_usm_v(2)%nrsws, surf_def_v(3)%nrsws,        &
-                                                  surf_lsm_v(3)%nrsws, surf_usm_v(3)%nrsws )
+                CALL surface_data_output_collect(                                           &
+                          surf_def_h(0)%nrsws, surf_lsm_h(0)%nrsws, surf_usm_h(0)%nrsws,    &
+                          surf_def_h(1)%nrsws, surf_lsm_h(1)%nrsws, surf_usm_h(1)%nrsws,    &
+                          surf_def_v(0)%nrsws, surf_lsm_v(0)%nrsws, surf_usm_v(0)%nrsws,    &
+                          surf_def_v(1)%nrsws, surf_lsm_v(1)%nrsws, surf_usm_v(1)%nrsws,    &
+                          surf_def_v(2)%nrsws, surf_lsm_v(2)%nrsws, surf_usm_v(2)%nrsws,    &
+                          surf_def_v(3)%nrsws, surf_lsm_v(3)%nrsws, surf_usm_v(3)%nrsws )
              ELSE
 !
@@ -2092,12 +2059,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%sasws, surf_def_h(1)%sasws,        &
-                                                  surf_lsm_h%sasws, surf_usm_h%sasws,              &
-                                                  surf_def_v(0)%sasws, surf_lsm_v(0)%sasws,        &
-                                                  surf_usm_v(0)%sasws, surf_def_v(1)%sasws,        &
-                                                  surf_lsm_v(1)%sasws, surf_usm_v(1)%sasws,        &
-                                                  surf_def_v(2)%sasws, surf_lsm_v(2)%sasws,        &
-                                                  surf_usm_v(2)%sasws, surf_def_v(3)%sasws,        &
-                                                  surf_lsm_v(3)%sasws, surf_usm_v(3)%sasws )
+                CALL surface_data_output_collect(                                           &
+                          surf_def_h(0)%sasws, surf_lsm_h(0)%sasws, surf_usm_h(0)%sasws,    &
+                          surf_def_h(1)%sasws, surf_lsm_h(1)%sasws, surf_usm_h(1)%sasws,    &
+                          surf_def_v(0)%sasws, surf_lsm_v(0)%sasws, surf_usm_v(0)%sasws,    &
+                          surf_def_v(1)%sasws, surf_lsm_v(1)%sasws, surf_usm_v(1)%sasws,    &
+                          surf_def_v(2)%sasws, surf_lsm_v(2)%sasws, surf_usm_v(2)%sasws,    &
+                          surf_def_v(3)%sasws, surf_lsm_v(3)%sasws, surf_usm_v(3)%sasws )
              ELSE
 !
@@ -2112,12 +2078,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%q_surface, surf_def_h(1)%q_surface,&
-                                                  surf_lsm_h%q_surface, surf_usm_h%q_surface,      &
-                                                  surf_def_v(0)%q_surface, surf_lsm_v(0)%q_surface,&
-                                                  surf_usm_v(0)%q_surface, surf_def_v(1)%q_surface,&
-                                                  surf_lsm_v(1)%q_surface, surf_usm_v(1)%q_surface,&
-                                                  surf_def_v(2)%q_surface, surf_lsm_v(2)%q_surface,&
-                                                  surf_usm_v(2)%q_surface, surf_def_v(3)%q_surface,&
-                                                  surf_lsm_v(3)%q_surface, surf_usm_v(3)%q_surface )
+                CALL surface_data_output_collect(                                              &
+                    surf_def_h(0)%q_surface, surf_lsm_h(0)%q_surface, surf_usm_h(0)%q_surface, &
+                    surf_def_h(1)%q_surface, surf_lsm_h(1)%q_surface, surf_usm_h(1)%q_surface, &
+                    surf_def_v(0)%q_surface, surf_lsm_v(0)%q_surface, surf_usm_v(0)%q_surface, &
+                    surf_def_v(1)%q_surface, surf_lsm_v(1)%q_surface, surf_usm_v(1)%q_surface, &
+                    surf_def_v(2)%q_surface, surf_lsm_v(2)%q_surface, surf_usm_v(2)%q_surface, &
+                    surf_def_v(3)%q_surface, surf_lsm_v(3)%q_surface, surf_usm_v(3)%q_surface )
              ELSE
 !
@@ -2132,19 +2097,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%pt_surface,                        &
-                                                  surf_def_h(1)%pt_surface,                        &
-                                                  surf_lsm_h%pt_surface, surf_usm_h%pt_surface,    &
-                                                  surf_def_v(0)%pt_surface,                        &
-                                                  surf_lsm_v(0)%pt_surface,                        &
-                                                  surf_usm_v(0)%pt_surface,                        &
-                                                  surf_def_v(1)%pt_surface,                        &
-                                                  surf_lsm_v(1)%pt_surface,                        &
-                                                  surf_usm_v(1)%pt_surface,                        &
-                                                  surf_def_v(2)%pt_surface,                        &
-                                                  surf_lsm_v(2)%pt_surface,                        &
-                                                  surf_usm_v(2)%pt_surface,                        &
-                                                  surf_def_v(3)%pt_surface,                        &
-                                                  surf_lsm_v(3)%pt_surface,                        &
-                                                  surf_usm_v(3)%pt_surface )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%pt_surface, surf_lsm_h(0)%pt_surface, surf_usm_h(0)%pt_surface, &
+                    surf_def_h(1)%pt_surface, surf_lsm_h(1)%pt_surface, surf_usm_h(1)%pt_surface, &
+                    surf_def_v(0)%pt_surface, surf_lsm_v(0)%pt_surface, surf_usm_v(0)%pt_surface, &
+                    surf_def_v(1)%pt_surface, surf_lsm_v(1)%pt_surface, surf_usm_v(1)%pt_surface, &
+                    surf_def_v(2)%pt_surface, surf_lsm_v(2)%pt_surface, surf_usm_v(2)%pt_surface, &
+                    surf_def_v(3)%pt_surface, surf_lsm_v(3)%pt_surface, surf_usm_v(3)%pt_surface )
              ELSE
 !
@@ -2159,19 +2116,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%vpt_surface,                       &
-                                                  surf_def_h(1)%vpt_surface,                       &
-                                                  surf_lsm_h%vpt_surface, surf_usm_h%vpt_surface,  &
-                                                  surf_def_v(0)%vpt_surface,                       &
-                                                  surf_lsm_v(0)%vpt_surface,                       &
-                                                  surf_usm_v(0)%vpt_surface,                       &
-                                                  surf_def_v(1)%vpt_surface,                       &
-                                                  surf_lsm_v(1)%vpt_surface,                       &
-                                                  surf_usm_v(1)%vpt_surface,                       &
-                                                  surf_def_v(2)%vpt_surface,                       &
-                                                  surf_lsm_v(2)%vpt_surface,                       &
-                                                  surf_usm_v(2)%vpt_surface,                       &
-                                                  surf_def_v(3)%vpt_surface,                       &
-                                                  surf_lsm_v(3)%vpt_surface,                       &
-                                                  surf_usm_v(3)%vpt_surface)
+                CALL surface_data_output_collect(                                                  &
+                  surf_def_h(0)%vpt_surface, surf_lsm_h(0)%vpt_surface, surf_usm_h(0)%vpt_surface, &
+                  surf_def_h(1)%vpt_surface, surf_lsm_h(1)%vpt_surface, surf_usm_h(1)%vpt_surface, &
+                  surf_def_v(0)%vpt_surface, surf_lsm_v(0)%vpt_surface, surf_usm_v(0)%vpt_surface, &
+                  surf_def_v(1)%vpt_surface, surf_lsm_v(1)%vpt_surface, surf_usm_v(1)%vpt_surface, &
+                  surf_def_v(2)%vpt_surface, surf_lsm_v(2)%vpt_surface, surf_usm_v(2)%vpt_surface, &
+                  surf_def_v(3)%vpt_surface, surf_lsm_v(3)%vpt_surface, surf_usm_v(3)%vpt_surface )
              ELSE
 !
@@ -2186,12 +2135,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_net, surf_def_h(1)%rad_net,    &
-                                                  surf_lsm_h%rad_net, surf_usm_h%rad_net,          &
-                                                  surf_def_v(0)%rad_net, surf_lsm_v(0)%rad_net,    &
-                                                  surf_usm_v(0)%rad_net, surf_def_v(1)%rad_net,    &
-                                                  surf_lsm_v(1)%rad_net, surf_usm_v(1)%rad_net,    &
-                                                  surf_def_v(2)%rad_net, surf_lsm_v(2)%rad_net,    &
-                                                  surf_usm_v(2)%rad_net, surf_def_v(3)%rad_net,    &
-                                                  surf_lsm_v(3)%rad_net, surf_usm_v(3)%rad_net )
+                CALL surface_data_output_collect(                                        &
+                    surf_def_h(0)%rad_net, surf_lsm_h(0)%rad_net, surf_usm_h(0)%rad_net, &
+                    surf_def_h(1)%rad_net, surf_lsm_h(1)%rad_net, surf_usm_h(1)%rad_net, &
+                    surf_def_v(0)%rad_net, surf_lsm_v(0)%rad_net, surf_usm_v(0)%rad_net, &
+                    surf_def_v(1)%rad_net, surf_lsm_v(1)%rad_net, surf_usm_v(1)%rad_net, &
+                    surf_def_v(2)%rad_net, surf_lsm_v(2)%rad_net, surf_usm_v(2)%rad_net, &
+                    surf_def_v(3)%rad_net, surf_lsm_v(3)%rad_net, surf_usm_v(3)%rad_net )
              ELSE
 !
@@ -2206,18 +2154,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_lw_in,                         &
-                                                  surf_def_h(1)%rad_lw_in, surf_lsm_h%rad_lw_in,   &
-                                                  surf_usm_h%rad_lw_in, surf_def_v(0)%rad_lw_in,   &
-                                                  surf_lsm_v(0)%rad_lw_in,                         &
-                                                  surf_usm_v(0)%rad_lw_in,                         &
-                                                  surf_def_v(1)%rad_lw_in,                         &
-                                                  surf_lsm_v(1)%rad_lw_in,                         &
-                                                  surf_usm_v(1)%rad_lw_in,                         &
-                                                  surf_def_v(2)%rad_lw_in,                         &
-                                                  surf_lsm_v(2)%rad_lw_in,                         &
-                                                  surf_usm_v(2)%rad_lw_in,                         &
-                                                  surf_def_v(3)%rad_lw_in,                         &
-                                                  surf_lsm_v(3)%rad_lw_in,                         &
-                                                  surf_usm_v(3)%rad_lw_in )
+                CALL surface_data_output_collect(                                              &
+                    surf_def_h(0)%rad_lw_in, surf_lsm_h(0)%rad_lw_in, surf_usm_h(0)%rad_lw_in, &
+                    surf_def_h(1)%rad_lw_in, surf_lsm_h(1)%rad_lw_in, surf_usm_h(1)%rad_lw_in, &
+                    surf_def_v(0)%rad_lw_in, surf_lsm_v(0)%rad_lw_in, surf_usm_v(0)%rad_lw_in, &
+                    surf_def_v(1)%rad_lw_in, surf_lsm_v(1)%rad_lw_in, surf_usm_v(1)%rad_lw_in, &
+                    surf_def_v(2)%rad_lw_in, surf_lsm_v(2)%rad_lw_in, surf_usm_v(2)%rad_lw_in, &
+                    surf_def_v(3)%rad_lw_in, surf_lsm_v(3)%rad_lw_in, surf_usm_v(3)%rad_lw_in )
              ELSE
 !
@@ -2232,18 +2173,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_lw_out,                        &
-                                                  surf_def_h(1)%rad_lw_out, surf_lsm_h%rad_lw_out, &
-                                                  surf_usm_h%rad_lw_out, surf_def_v(0)%rad_lw_out, &
-                                                  surf_lsm_v(0)%rad_lw_out,                        &
-                                                  surf_usm_v(0)%rad_lw_out,                        &
-                                                  surf_def_v(1)%rad_lw_out,                        &
-                                                  surf_lsm_v(1)%rad_lw_out,                        &
-                                                  surf_usm_v(1)%rad_lw_out,                        &
-                                                  surf_def_v(2)%rad_lw_out,                        &
-                                                  surf_lsm_v(2)%rad_lw_out,                        &
-                                                  surf_usm_v(2)%rad_lw_out,                        &
-                                                  surf_def_v(3)%rad_lw_out,                        &
-                                                  surf_lsm_v(3)%rad_lw_out,                        &
-                                                  surf_usm_v(3)%rad_lw_out )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_lw_out, surf_lsm_h(0)%rad_lw_out, surf_usm_h(0)%rad_lw_out, &
+                    surf_def_h(1)%rad_lw_out, surf_lsm_h(1)%rad_lw_out, surf_usm_h(1)%rad_lw_out, &
+                    surf_def_v(0)%rad_lw_out, surf_lsm_v(0)%rad_lw_out, surf_usm_v(0)%rad_lw_out, &
+                    surf_def_v(1)%rad_lw_out, surf_lsm_v(1)%rad_lw_out, surf_usm_v(1)%rad_lw_out, &
+                    surf_def_v(2)%rad_lw_out, surf_lsm_v(2)%rad_lw_out, surf_usm_v(2)%rad_lw_out, &
+                    surf_def_v(3)%rad_lw_out, surf_lsm_v(3)%rad_lw_out, surf_usm_v(3)%rad_lw_out )
              ELSE
 !
@@ -2258,18 +2192,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_sw_in,                         &
-                                                  surf_def_h(1)%rad_sw_in, surf_lsm_h%rad_sw_in,   &
-                                                  surf_usm_h%rad_sw_in, surf_def_v(0)%rad_sw_in,   &
-                                                  surf_lsm_v(0)%rad_sw_in,                         &
-                                                  surf_usm_v(0)%rad_sw_in,                         &
-                                                  surf_def_v(1)%rad_sw_in,                         &
-                                                  surf_lsm_v(1)%rad_sw_in,                         &
-                                                  surf_usm_v(1)%rad_sw_in,                         &
-                                                  surf_def_v(2)%rad_sw_in,                         &
-                                                  surf_lsm_v(2)%rad_sw_in,                         &
-                                                  surf_usm_v(2)%rad_sw_in,                         &
-                                                  surf_def_v(3)%rad_sw_in,                         &
-                                                  surf_lsm_v(3)%rad_sw_in,                         &
-                                                  surf_usm_v(3)%rad_sw_in )
+                CALL surface_data_output_collect(                                              &
+                    surf_def_h(0)%rad_sw_in, surf_lsm_h(0)%rad_sw_in, surf_usm_h(0)%rad_sw_in, &
+                    surf_def_h(1)%rad_sw_in, surf_lsm_h(1)%rad_sw_in, surf_usm_h(1)%rad_sw_in, &
+                    surf_def_v(0)%rad_sw_in, surf_lsm_v(0)%rad_sw_in, surf_usm_v(0)%rad_sw_in, &
+                    surf_def_v(1)%rad_sw_in, surf_lsm_v(1)%rad_sw_in, surf_usm_v(1)%rad_sw_in, &
+                    surf_def_v(2)%rad_sw_in, surf_lsm_v(2)%rad_sw_in, surf_usm_v(2)%rad_sw_in, &
+                    surf_def_v(3)%rad_sw_in, surf_lsm_v(3)%rad_sw_in, surf_usm_v(3)%rad_sw_in )
              ELSE
 !
@@ -2284,18 +2211,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_sw_out,                        &
-                                                  surf_def_h(1)%rad_sw_out, surf_lsm_h%rad_sw_out, &
-                                                  surf_usm_h%rad_sw_out, surf_def_v(0)%rad_sw_out, &
-                                                  surf_lsm_v(0)%rad_sw_out,                        &
-                                                  surf_usm_v(0)%rad_sw_out,                        &
-                                                  surf_def_v(1)%rad_sw_out,                        &
-                                                  surf_lsm_v(1)%rad_sw_out,                        &
-                                                  surf_usm_v(1)%rad_sw_out,                        &
-                                                  surf_def_v(2)%rad_sw_out,                        &
-                                                  surf_lsm_v(2)%rad_sw_out,                        &
-                                                  surf_usm_v(2)%rad_sw_out,                        &
-                                                  surf_def_v(3)%rad_sw_out,                        &
-                                                  surf_lsm_v(3)%rad_sw_out,                        &
-                                                  surf_usm_v(3)%rad_sw_out )
+                CALL surface_data_output_collect(                                                    &
+                    surf_def_h(0)%rad_sw_out, surf_lsm_h(0)%rad_sw_out, surf_usm_h(0)%rad_sw_out,    &
+                    surf_def_h(1)%rad_sw_out, surf_lsm_h(1)%rad_sw_out, surf_usm_h(1)%rad_sw_out,    &
+                    surf_def_v(0)%rad_sw_out, surf_lsm_v(0)%rad_sw_out, surf_usm_v(0)%rad_sw_out,    &
+                    surf_def_v(1)%rad_sw_out, surf_lsm_v(1)%rad_sw_out, surf_usm_v(1)%rad_sw_out,    &
+                    surf_def_v(2)%rad_sw_out, surf_lsm_v(2)%rad_sw_out, surf_usm_v(2)%rad_sw_out,    &
+                    surf_def_v(3)%rad_sw_out, surf_lsm_v(3)%rad_sw_out, surf_usm_v(3)%rad_sw_out )
              ELSE
 !
@@ -2313,10 +2233,13 @@
 !--             Sum up ground / wall heat flux. Note, for urban surfaces the wall heat flux is
 !--             aggregated from the different green, window and wall tiles.
-                DO  m = 1, surf_usm_h%ns
-                   surf_usm_h%ghf(m) = surf_usm_h%frac(m,ind_veg_wall) * surf_usm_h%wghf_eb(m) +   &
-                                       surf_usm_h%frac(m,ind_pav_green) *                          &
-                                       surf_usm_h%wghf_eb_green(m) +                               &
-                                       surf_usm_h%frac(m,ind_wat_win) *                            &
-                                       surf_usm_h%wghf_eb_window(m)
+                DO  l = 0, 1
+                   DO  m = 1, surf_usm_h(l)%ns
+                      surf_usm_h(l)%ghf(m) = surf_usm_h(l)%frac(m,ind_veg_wall) *                 &
+                                          surf_usm_h(l)%wghf_eb(m) +                              &
+                                          surf_usm_h(l)%frac(m,ind_pav_green) *                   &
+                                          surf_usm_h(l)%wghf_eb_green(m) +                        &
+                                          surf_usm_h(l)%frac(m,ind_wat_win) *                     &
+                                          surf_usm_h(l)%wghf_eb_window(m)
+                   ENDDO
                 ENDDO
                 DO  l = 0, 3
@@ -2331,12 +2254,11 @@
                 ENDDO
 
-                CALL surface_data_output_collect( surf_def_h(0)%ghf, surf_def_h(1)%ghf,            &
-                                                  surf_lsm_h%ghf, surf_usm_h%ghf,                  &
-                                                  surf_def_v(0)%ghf, surf_lsm_v(0)%ghf,            &
-                                                  surf_usm_v(0)%ghf, surf_def_v(1)%ghf,            &
-                                                  surf_lsm_v(1)%ghf, surf_usm_v(1)%ghf,            &
-                                                  surf_def_v(2)%ghf, surf_lsm_v(2)%ghf,            &
-                                                  surf_usm_v(2)%ghf, surf_def_v(3)%ghf,            &
-                                                  surf_lsm_v(3)%ghf, surf_usm_v(3)%ghf )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%ghf, surf_lsm_h(0)%ghf, surf_usm_h(0)%ghf,    &
+                          surf_def_h(1)%ghf, surf_lsm_h(1)%ghf, surf_usm_h(1)%ghf,    &
+                          surf_def_v(0)%ghf, surf_lsm_v(0)%ghf, surf_usm_v(0)%ghf,    &
+                          surf_def_v(1)%ghf, surf_lsm_v(1)%ghf, surf_usm_v(1)%ghf,    &
+                          surf_def_v(2)%ghf, surf_lsm_v(2)%ghf, surf_usm_v(2)%ghf,    &
+                          surf_def_v(3)%ghf, surf_lsm_v(3)%ghf, surf_usm_v(3)%ghf )
              ELSE
 !
@@ -2351,12 +2273,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%r_a, surf_def_h(1)%r_a,            &
-                                                  surf_lsm_h%r_a, surf_usm_h%r_a,                  &
-                                                  surf_def_v(0)%r_a, surf_lsm_v(0)%r_a,            &
-                                                  surf_usm_v(0)%r_a, surf_def_v(1)%r_a,            &
-                                                  surf_lsm_v(1)%r_a, surf_usm_v(1)%r_a,            &
-                                                  surf_def_v(2)%r_a, surf_lsm_v(2)%r_a,            &
-                                                  surf_usm_v(2)%r_a, surf_def_v(3)%r_a,            &
-                                                  surf_lsm_v(3)%r_a, surf_usm_v(3)%r_a )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%r_a, surf_lsm_h(0)%r_a, surf_usm_h(0)%r_a,    &
+                          surf_def_h(1)%r_a, surf_lsm_h(1)%r_a, surf_usm_h(1)%r_a,    &
+                          surf_def_v(0)%r_a, surf_lsm_v(0)%r_a, surf_usm_v(0)%r_a,    &
+                          surf_def_v(1)%r_a, surf_lsm_v(1)%r_a, surf_usm_v(1)%r_a,    &
+                          surf_def_v(2)%r_a, surf_lsm_v(2)%r_a, surf_usm_v(2)%r_a,    &
+                          surf_def_v(3)%r_a, surf_lsm_v(3)%r_a, surf_usm_v(3)%r_a )
              ELSE
 !
@@ -2371,12 +2292,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%r_soil, surf_def_h(1)%r_soil,      &
-                                                  surf_lsm_h%r_soil, surf_usm_h%r_soil,            &
-                                                  surf_def_v(0)%r_soil, surf_lsm_v(0)%r_soil,      &
-                                                  surf_usm_v(0)%r_soil, surf_def_v(1)%r_soil,      &
-                                                  surf_lsm_v(1)%r_soil, surf_usm_v(1)%r_soil,      &
-                                                  surf_def_v(2)%r_soil, surf_lsm_v(2)%r_soil,      &
-                                                  surf_usm_v(2)%r_soil, surf_def_v(3)%r_soil,      &
-                                                  surf_lsm_v(3)%r_soil, surf_usm_v(3)%r_soil )
+                CALL surface_data_output_collect(                                              &
+                          surf_def_h(0)%r_soil, surf_lsm_h(0)%r_soil, surf_usm_h(0)%r_soil,    &
+                          surf_def_h(1)%r_soil, surf_lsm_h(1)%r_soil, surf_usm_h(1)%r_soil,    &
+                          surf_def_v(0)%r_soil, surf_lsm_v(0)%r_soil, surf_usm_v(0)%r_soil,    &
+                          surf_def_v(1)%r_soil, surf_lsm_v(1)%r_soil, surf_usm_v(1)%r_soil,    &
+                          surf_def_v(2)%r_soil, surf_lsm_v(2)%r_soil, surf_usm_v(2)%r_soil,    &
+                          surf_def_v(3)%r_soil, surf_lsm_v(3)%r_soil, surf_usm_v(3)%r_soil )
              ELSE
 !
@@ -2391,12 +2311,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%r_canopy, surf_def_h(1)%r_canopy,  &
-                                                  surf_lsm_h%r_canopy, surf_usm_h%r_canopy,        &
-                                                  surf_def_v(0)%r_canopy, surf_lsm_v(0)%r_canopy,  &
-                                                  surf_usm_v(0)%r_canopy, surf_def_v(1)%r_canopy,  &
-                                                  surf_lsm_v(1)%r_canopy, surf_usm_v(1)%r_canopy,  &
-                                                  surf_def_v(2)%r_canopy, surf_lsm_v(2)%r_canopy,  &
-                                                  surf_usm_v(2)%r_canopy, surf_def_v(3)%r_canopy,  &
-                                                  surf_lsm_v(3)%r_canopy, surf_usm_v(3)%r_canopy )
+                CALL surface_data_output_collect(                                                 &
+                          surf_def_h(0)%r_canopy, surf_lsm_h(0)%r_canopy, surf_usm_h(0)%r_canopy, &
+                          surf_def_h(1)%r_canopy, surf_lsm_h(1)%r_canopy, surf_usm_h(1)%r_canopy, &
+                          surf_def_v(0)%r_canopy, surf_lsm_v(0)%r_canopy, surf_usm_v(0)%r_canopy, &
+                          surf_def_v(1)%r_canopy, surf_lsm_v(1)%r_canopy, surf_usm_v(1)%r_canopy, &
+                          surf_def_v(2)%r_canopy, surf_lsm_v(2)%r_canopy, surf_usm_v(2)%r_canopy, &
+                          surf_def_v(3)%r_canopy, surf_lsm_v(3)%r_canopy, surf_usm_v(3)%r_canopy )
              ELSE
 !
@@ -2411,12 +2330,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%r_s, surf_def_h(1)%r_s,            &
-                                                  surf_lsm_h%r_s, surf_usm_h%r_s,                  &
-                                                  surf_def_v(0)%r_s, surf_lsm_v(0)%r_s,            &
-                                                  surf_usm_v(0)%r_s, surf_def_v(1)%r_s,            &
-                                                  surf_lsm_v(1)%r_s, surf_usm_v(1)%r_s,            &
-                                                  surf_def_v(2)%r_s, surf_lsm_v(2)%r_s,            &
-                                                  surf_usm_v(2)%r_s, surf_def_v(3)%r_s,            &
-                                                  surf_lsm_v(3)%r_s, surf_usm_v(3)%r_s )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%r_s, surf_lsm_h(0)%r_s, surf_usm_h(0)%r_s,    &
+                          surf_def_h(1)%r_s, surf_lsm_h(1)%r_s, surf_usm_h(1)%r_s,    &
+                          surf_def_v(0)%r_s, surf_lsm_v(0)%r_s, surf_usm_v(0)%r_s,    &
+                          surf_def_v(1)%r_s, surf_lsm_v(1)%r_s, surf_usm_v(1)%r_s,    &
+                          surf_def_v(2)%r_s, surf_lsm_v(2)%r_s, surf_usm_v(2)%r_s,    &
+                          surf_def_v(3)%r_s, surf_lsm_v(3)%r_s, surf_usm_v(3)%r_s )
              ELSE
 !
@@ -2431,18 +2349,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_sw_dir,                        &
-                                                  surf_def_h(1)%rad_sw_dir, surf_lsm_h%rad_sw_dir, &
-                                                  surf_usm_h%rad_sw_dir, surf_def_v(0)%rad_sw_dir, &
-                                                  surf_lsm_v(0)%rad_sw_dir,                        &
-                                                  surf_usm_v(0)%rad_sw_dir,                        &
-                                                  surf_def_v(1)%rad_sw_dir,                        &
-                                                  surf_lsm_v(1)%rad_sw_dir,                        &
-                                                  surf_usm_v(1)%rad_sw_dir,                        &
-                                                  surf_def_v(2)%rad_sw_dir,                        &
-                                                  surf_lsm_v(2)%rad_sw_dir,                        &
-                                                  surf_usm_v(2)%rad_sw_dir,                        &
-                                                  surf_def_v(3)%rad_sw_dir,                        &
-                                                  surf_lsm_v(3)%rad_sw_dir,                        &
-                                                  surf_usm_v(3)%rad_sw_dir )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_sw_dir, surf_lsm_h(0)%rad_sw_dir, surf_usm_h(0)%rad_sw_dir, &
+                    surf_def_h(1)%rad_sw_dir, surf_lsm_h(1)%rad_sw_dir, surf_usm_h(1)%rad_sw_dir, &
+                    surf_def_v(0)%rad_sw_dir, surf_lsm_v(0)%rad_sw_dir, surf_usm_v(0)%rad_sw_dir, &
+                    surf_def_v(1)%rad_sw_dir, surf_lsm_v(1)%rad_sw_dir, surf_usm_v(1)%rad_sw_dir, &
+                    surf_def_v(2)%rad_sw_dir, surf_lsm_v(2)%rad_sw_dir, surf_usm_v(2)%rad_sw_dir, &
+                    surf_def_v(3)%rad_sw_dir, surf_lsm_v(3)%rad_sw_dir, surf_usm_v(3)%rad_sw_dir )
              ELSE
 !
